跳转到主要内容
网络管理/网络资源/分布式交换机相关接口
GETDistributed Switch Related Interfaces起始版本 4.0.0同步需要认证

获取集群允许加分布式交换机

获取集群允许加分布式交换机

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

路径参数

查询参数

请求参数

路径参数

  • clusterUuidString必填

    集群UUID

查询参数

  • limitInteger

    最多返回的记录数,类似MySQL的limit

  • startInteger

    起始查询记录位置,类似MySQL的offset。跟limit配合使用可以实现分页

  • systemTagsList

    系统标签

  • userTagsList

    用户标签

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • successboolean必填

    操作是否成功。

  • inventoriesList必填

    详情参考inventories

    • uuidString必填

      资源的UUID,唯一标示该资源

    • nameString必填

      资源名称

    • poolUuidString必填

      网络池UUID

    • zoneUuidString必填

      数据中心UUID

    • descriptionString必填

      资源的详细描述

    • physicalInterfaceString必填

      网卡名称

    • typeString必填

      分布式交换机类型

    • vniString必填

      Vni号

    • vlanint必填

      Vlan号

    • createDateTimestamp必填

      创建时间

    • lastOpDateTimestamp必填

      最后一次修改时间

  • errorErrorCode必填

    错误码,若不为null,则表示操作失败, 操作成功时该字段为null。 详情参考error

    • codeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

请求地址

GET/zstack/v1/cluster/{clusterUuid}/l2-candidates

/zstack/v1/cluster/{clusterUuid}/l2-candidates

操作 ID

GetCandidateL2NetworksForAttachingCluster

永久链接

请求示例

curl -X GET 'http://{host}/zstack/v1/cluster/{clusterUuid}/l2-candidates?limit=1&start=1&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

响应示例

200
{ "inventories": [ { "name": "l2", "description": "test", "physicalInterface": "eth0", "vlan": 0, "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史